//---------------------------------------------------------------------------
#ifndef TempGameH
#define TempGameH

  #include <Forms.hpp>
  #include <Classes.hpp>
  #include <Dialogs.hpp>
  #include <Menus.hpp>

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TMainMenu *MainMenu1;
    TMenuItem *File1;
    TMenuItem *OpenMenuMap1;
    TMenuItem *OpenMenuTiles1;
    TMenuItem *N1;
    TMenuItem *SaveMenuMap1;
    TMenuItem *SaveMenuTiles1;
    TMenuItem *N2;
    TMenuItem *Exit1;
    TOpenDialog *Open1;
    TSaveDialog *Save1;

    TMenuItem *View1;
    TMenuItem *SwapTileFiles1;
    TMenuItem *TileFile11;
    TMenuItem *TileFile21;
    TMenuItem *NewMap1;
    TMenuItem *SaveMapAs1;
    TMenuItem *N3;
    TMenuItem *Edit1;
    TMenuItem *Convert256colorfileto16Bit1;
    TMenuItem *N4;
  TMenuItem *CallExtern;
    TMenuItem *N5;

  TMenuItem *LoadExtern;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormPaint(TObject *Sender);
    void __fastcall OpenMenuMap1Click(TObject *Sender);
    void __fastcall FormMouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift, int X, int Y);
    void __fastcall SaveMenuMap1Click(TObject *Sender);
    void __fastcall SaveMenuTiles1Click(TObject *Sender);
    void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift, int X, int Y);
    void __fastcall SwapTileFiles1Click(TObject *Sender);
    void __fastcall TileFile11Click(TObject *Sender);
    void __fastcall TileFile21Click(TObject *Sender);
    void __fastcall Exit1Click(TObject *Sender);
    void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
    void __fastcall NewMap1Click(TObject *Sender);
    void __fastcall SaveMapAs1Click(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall Convert256colorfileto16Bit1Click(TObject *Sender);
    void __fastcall CallExternClick(TObject *Sender);
    void __fastcall N3Click(TObject *Sender);
    void __fastcall N5Click(TObject *Sender);

  void __fastcall LoadExternClick(TObject *Sender);
  
private:	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);

    void __fastcall TileOpen( FILE *tf, char which );

};

//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
